summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/tcsh/tcsh.SlackBuild8
-rw-r--r--source/a/tcsh/tcsh.url1
-rw-r--r--source/k/kernel-configs/config-generic-4.19.42 (renamed from source/k/kernel-configs/config-generic-4.19.41)2
-rw-r--r--source/k/kernel-configs/config-generic-4.19.42.x64 (renamed from source/k/kernel-configs/config-generic-4.19.41.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-4.19.42-smp (renamed from source/k/kernel-configs/config-generic-smp-4.19.41-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.42 (renamed from source/k/kernel-configs/config-huge-4.19.41)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.42.x64 (renamed from source/k/kernel-configs/config-huge-4.19.41.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-4.19.42-smp (renamed from source/k/kernel-configs/config-huge-smp-4.19.41-smp)2
-rwxr-xr-xsource/x/libglvnd/libglvnd.SlackBuild113
-rw-r--r--source/x/libglvnd/libglvnd.url1
-rw-r--r--source/x/libglvnd/slack-desc19
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild1
12 files changed, 145 insertions, 10 deletions
diff --git a/source/a/tcsh/tcsh.SlackBuild b/source/a/tcsh/tcsh.SlackBuild
index d4937da62..8e8e91021 100755
--- a/source/a/tcsh/tcsh.SlackBuild
+++ b/source/a/tcsh/tcsh.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tcsh
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -61,7 +61,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG/etc
cd $TMP
rm -rf ${PKGNAM}-$VERSION
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
# The LS_COLORS variable shared by tcsh has new options in recent
diff --git a/source/a/tcsh/tcsh.url b/source/a/tcsh/tcsh.url
new file mode 100644
index 000000000..9f8f7cc40
--- /dev/null
+++ b/source/a/tcsh/tcsh.url
@@ -0,0 +1 @@
+https://github.com/tcsh-org/tcsh
diff --git a/source/k/kernel-configs/config-generic-4.19.41 b/source/k/kernel-configs/config-generic-4.19.42
index e6f6f2488..deba5f7b8 100644
--- a/source/k/kernel-configs/config-generic-4.19.41
+++ b/source/k/kernel-configs/config-generic-4.19.42
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.41 Kernel Configuration
+# Linux/x86 4.19.42 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-4.19.41.x64 b/source/k/kernel-configs/config-generic-4.19.42.x64
index 587fbd03f..a04de9d2b 100644
--- a/source/k/kernel-configs/config-generic-4.19.41.x64
+++ b/source/k/kernel-configs/config-generic-4.19.42.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.41 Kernel Configuration
+# Linux/x86 4.19.42 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-smp-4.19.41-smp b/source/k/kernel-configs/config-generic-smp-4.19.42-smp
index fcfeb3f66..cc12fe6f0 100644
--- a/source/k/kernel-configs/config-generic-smp-4.19.41-smp
+++ b/source/k/kernel-configs/config-generic-smp-4.19.42-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.41 Kernel Configuration
+# Linux/x86 4.19.42 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.41 b/source/k/kernel-configs/config-huge-4.19.42
index cb52927ad..d46c574f8 100644
--- a/source/k/kernel-configs/config-huge-4.19.41
+++ b/source/k/kernel-configs/config-huge-4.19.42
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.41 Kernel Configuration
+# Linux/x86 4.19.42 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.41.x64 b/source/k/kernel-configs/config-huge-4.19.42.x64
index 8cd26ba71..ce0463b90 100644
--- a/source/k/kernel-configs/config-huge-4.19.41.x64
+++ b/source/k/kernel-configs/config-huge-4.19.42.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.41 Kernel Configuration
+# Linux/x86 4.19.42 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-smp-4.19.41-smp b/source/k/kernel-configs/config-huge-smp-4.19.42-smp
index 8d90c845b..47dfb52fe 100644
--- a/source/k/kernel-configs/config-huge-smp-4.19.41-smp
+++ b/source/k/kernel-configs/config-huge-smp-4.19.42-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.41 Kernel Configuration
+# Linux/x86 4.19.42 Kernel Configuration
#
#
diff --git a/source/x/libglvnd/libglvnd.SlackBuild b/source/x/libglvnd/libglvnd.SlackBuild
new file mode 100755
index 000000000..48207b6b1
--- /dev/null
+++ b/source/x/libglvnd/libglvnd.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for libglvnd
+
+# Copyright 2019 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libglvnd
+VERSION=${VERSION:-$(echo libglvnd-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/libglvnd/libglvnd.url b/source/x/libglvnd/libglvnd.url
new file mode 100644
index 000000000..73e5bc491
--- /dev/null
+++ b/source/x/libglvnd/libglvnd.url
@@ -0,0 +1 @@
+https://github.com/NVIDIA/libglvnd/releases
diff --git a/source/x/libglvnd/slack-desc b/source/x/libglvnd/slack-desc
new file mode 100644
index 000000000..3f9859327
--- /dev/null
+++ b/source/x/libglvnd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libglvnd: libglvnd (The GL Vendor-Neutral Dispatch library)
+libglvnd:
+libglvnd: libglvnd is a vendor-neutral dispatch layer for arbitrating OpenGL
+libglvnd: API calls between multiple vendors. It allows multiple drivers from
+libglvnd: different vendors to coexist on the same filesystem, and determines
+libglvnd: which vendor to dispatch each API call to at runtime.
+libglvnd:
+libglvnd: Homepage: https://github.com/NVIDIA/libglvnd
+libglvnd:
+libglvnd:
+libglvnd:
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index f54d98764..9ce261975 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -137,6 +137,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-vdpau \
--enable-opencl \
--enable-opencl-icd \
+ --enable-libglvnd \
--build=$ARCH-slackware-linux || exit 1
# This is autodetected anyway: